local M = {}
function M.setup()
  require('nvim-tree').setup({
    sync_root_with_cwd = true,
    renderer = {
      add_trailing = true,
      special_files = {},
      highlight_git = true,
      indent_markers = {
        enable = true,
      },
      icons = {
        show = {
          file = false,
          folder = false,
          folder_arrow = false,
          git = false
        }
      },
    },
    git = {
      ignore = true
    },
    filters = {
      dotfiles = true,
    },
  })

  vim.api.nvim_set_keymap('n', '<F3>', [[<Cmd>NvimTreeToggle<CR>]], {})
  vim.api.nvim_set_keymap('n', '<F4>', [[<Cmd>NvimTreeFindFile<CR>]], {})
end

return M
